#!/usr/bin/perl -w
##  Puffin Jukebox
##  Copyright (c) 2001 Dave O'Neill (dmo@acm.org)
##  Based on the original Puffin Jukebox by Phil Schwan <phil@???>
##
##  This program is released under the terms of the GNU GPL, version 
##  2.

use strict;
use POE;
use POE::Jukebox::WheelRunOggPlayer;
use POE::Jukebox::DBFilePlaylist;
use POE::Jukebox::ClientManager;
use POE::Jukebox::TcpServer;

POE::Jukebox::ClientManager->new();
POE::Jukebox::WheelRunOggPlayer->new();
POE::Jukebox::DBFilePlaylist->new('songdata.db','albumdata.db');

POE::Jukebox::TcpServer->new( Port => 1234);

$poe_kernel->run();
exit;
