#!/usr/bin/perl -w
##  Puffin Jukebox
##  Copyright (c) 2001 Dave O'Neill (dmo@acm.org)
##  Based on the original Puffin Jukebox by Phil Schwan <phil@???>
##
##  This program is released under the terms of the GNU GPL, version 
##  2.

use strict;
use POE;
use POE::Jukebox::OggPlayer;
use POE::Jukebox::SimplePlaylist;
use POE::Jukebox::TcpServer;

POE::Jukebox::OggPlayer->new();
POE::Jukebox::SimplePlaylist->new('./playlist');

POE::Jukebox::TcpServer->new( Port => 1234);

$poe_kernel->run();
exit;
