use MLDBM qw(DB_File Storable);
use Data::Dumper;

tie(%albumhash, 'MLDBM','albumdata.db') or die $!;

my ($hh,$mm,$ss);
foreach my $blort (keys %albumhash) {
	my $hash = $albumhash{$blort};
	{
		use integer;
		$ss = $hash->{'length'} / 1000;
		$hh = $ss / 3600;
		$ss %= 3600;
		$mm = $ss / 60;
		$ss = $ss %= 60; 
	}
	$tot_len += $hash->{'length'};
	$hash->{'length'} = sprintf("%02d:%02d:%02d",$hh,$mm,$ss);
	print "$blort - $hash->{track_title}\n";
	print Dumper $hash;
}
{
	use integer;
	$ss = $tot_len / 1000;
	$hh = $ss / 3600;
	$ss %= 3600;
	$mm = $ss / 60;
	$ss = $ss %= 60; 
}
printf("Total time: %02d:%02d:%02d",$hh,$mm,$ss);

untie %songhash;
